#!/bin/bash

: ${HADOOP_HOME:=/usr/local/hadoop}

$HADOOP_HOME/etc/hadoop/hadoop-env.sh

rm /tmp/*.pid

# installing libraries if any - (resource urls added comma separated to the ACP system variable)
cd $HADOOP_HOME/share/hadoop/common ; for cp in ${ACP//,/ }; do  echo == $cp; curl -LO $cp ; done; cd -

service ssh start
nohup $HADOOP_HOME/bin/hdfs namenode &
nohup $HADOOP_HOME/bin/yarn resourcemanager &
nohup $HADOOP_HOME/bin/yarn timelineserver &
nohup $HADOOP_HOME/bin/mapred historyserver &

$SPARK_HOME/bin/spark-class org.apache.spark.deploy.master.Master -h master

# if [[ $1 == "-d" ]]; then
#     while true; do sleep 1000; done
# fi

# if [[ $1 == "-bash" ]]; then
#     /bin/bash
# fi
